<?php


return  
    [
        'model' => [
            'model' => \Bixo\Request\Models\Request::class,
            'table' => 'bixo_request_requests',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'employee_id',  'handover_to',  'handover_approved_id',  'team_id',  'accounts_id',  'mobile',  'email',  'type',  'title',  'date_from',  'date_to',  'period',  'document_type',  'addresee',  'leave_type',  'leave_paid',  'leave_half_day',  'paid',  'unpaid',  'description',  'notes',  'amount',  'status',  'approved_id',  'approved_at',  'rejected_id',  'rejected_at',  'manager_id',  'manager_status',  'hr_id',  'hr_status',  'rejected_reason',  'rejected_description',  'accepted_id',  'accepted_at',  'hr_approved_at',  'return_to',  'salary',  'add_commission',  'traveling_to',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'request/request',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'request::request.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "employee_id", 
                "type" => "text", 
                "label" => 'request::request.label.employee_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "handover_to", 
                "type" => "text", 
                "label" => 'request::request.label.handover_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "handover_approved_id", 
                "type" => "text", 
                "label" => 'request::request.label.handover_approved_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'request::request.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "accounts_id", 
                "type" => "text", 
                "label" => 'request::request.label.accounts_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'request::request.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'request::request.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'request::request.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'request::request.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date_from", 
                "type" => "text", 
                "label" => 'request::request.label.date_from', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date_to", 
                "type" => "text", 
                "label" => 'request::request.label.date_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "period", 
                "type" => "text", 
                "label" => 'request::request.label.period', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "document_type", 
                "type" => "text", 
                "label" => 'request::request.label.document_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "addresee", 
                "type" => "text", 
                "label" => 'request::request.label.addresee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leave_type", 
                "type" => "text", 
                "label" => 'request::request.label.leave_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leave_paid", 
                "type" => "text", 
                "label" => 'request::request.label.leave_paid', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leave_half_day", 
                "type" => "text", 
                "label" => 'request::request.label.leave_half_day', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "paid", 
                "type" => "text", 
                "label" => 'request::request.label.paid', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unpaid", 
                "type" => "text", 
                "label" => 'request::request.label.unpaid', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'request::request.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'request::request.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'request::request.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_id", 
                "type" => "text", 
                "label" => 'request::request.label.approved_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_at", 
                "type" => "text", 
                "label" => 'request::request.label.approved_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_id", 
                "type" => "text", 
                "label" => 'request::request.label.rejected_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_at", 
                "type" => "text", 
                "label" => 'request::request.label.rejected_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "manager_id", 
                "type" => "text", 
                "label" => 'request::request.label.manager_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "manager_status", 
                "type" => "text", 
                "label" => 'request::request.label.manager_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "hr_id", 
                "type" => "text", 
                "label" => 'request::request.label.hr_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "hr_status", 
                "type" => "text", 
                "label" => 'request::request.label.hr_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_reason", 
                "type" => "text", 
                "label" => 'request::request.label.rejected_reason', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_description", 
                "type" => "text", 
                "label" => 'request::request.label.rejected_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "accepted_id", 
                "type" => "text", 
                "label" => 'request::request.label.accepted_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "accepted_at", 
                "type" => "text", 
                "label" => 'request::request.label.accepted_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "hr_approved_at", 
                "type" => "text", 
                "label" => 'request::request.label.hr_approved_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "return_to", 
                "type" => "text", 
                "label" => 'request::request.label.return_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "salary", 
                "type" => "text", 
                "label" => 'request::request.label.salary', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "add_commission", 
                "type" => "text", 
                "label" => 'request::request.label.add_commission', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "traveling_to", 
                "type" => "text", 
                "label" => 'request::request.label.traveling_to', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.ref',
                "placeholder" => 'request::request.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'employee_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.employee_id',
                "placeholder" => 'request::request.placeholder.employee_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'handover_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.handover_to',
                "placeholder" => 'request::request.placeholder.handover_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'handover_approved_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.handover_approved_id',
                "placeholder" => 'request::request.placeholder.handover_approved_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.team_id',
                "placeholder" => 'request::request.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'accounts_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.accounts_id',
                "placeholder" => 'request::request.placeholder.accounts_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.mobile',
                "placeholder" => 'request::request.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.email',
                "placeholder" => 'request::request.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'request::request.label.type',
                "placeholder" => 'request::request.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('request::request.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.title',
                "placeholder" => 'request::request.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date_from',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'request::request.label.date_from',
                "placeholder" => 'request::request.placeholder.date_from',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date_to',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'request::request.label.date_to',
                "placeholder" => 'request::request.placeholder.date_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'period',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'request::request.label.period',
                "placeholder" => 'request::request.placeholder.period',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'document_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'request::request.label.document_type',
                "placeholder" => 'request::request.placeholder.document_type',
                "rules" => '',
                "options" => function(){
                    return trans('request::request.options.document_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'addresee',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.addresee',
                "placeholder" => 'request::request.placeholder.addresee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leave_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'request::request.label.leave_type',
                "placeholder" => 'request::request.placeholder.leave_type',
                "rules" => '',
                "options" => function(){
                    return trans('request::request.options.leave_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leave_paid',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.leave_paid',
                "placeholder" => 'request::request.placeholder.leave_paid',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leave_half_day',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.leave_half_day',
                "placeholder" => 'request::request.placeholder.leave_half_day',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'paid',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.paid',
                "placeholder" => 'request::request.placeholder.paid',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unpaid',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.unpaid',
                "placeholder" => 'request::request.placeholder.unpaid',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.description',
                "placeholder" => 'request::request.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.notes',
                "placeholder" => 'request::request.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'request::request.label.amount',
                "placeholder" => 'request::request.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.approved_id',
                "placeholder" => 'request::request.placeholder.approved_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'request::request.label.approved_at',
                "placeholder" => 'request::request.placeholder.approved_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.rejected_id',
                "placeholder" => 'request::request.placeholder.rejected_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'request::request.label.rejected_at',
                "placeholder" => 'request::request.placeholder.rejected_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'manager_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.manager_id',
                "placeholder" => 'request::request.placeholder.manager_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'manager_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'request::request.label.manager_status',
                "placeholder" => 'request::request.placeholder.manager_status',
                "rules" => '',
                "options" => function(){
                    return trans('request::request.options.manager_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'hr_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.hr_id',
                "placeholder" => 'request::request.placeholder.hr_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'hr_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'request::request.label.hr_status',
                "placeholder" => 'request::request.placeholder.hr_status',
                "rules" => '',
                "options" => function(){
                    return trans('request::request.options.hr_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_reason',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.rejected_reason',
                "placeholder" => 'request::request.placeholder.rejected_reason',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.rejected_description',
                "placeholder" => 'request::request.placeholder.rejected_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'accepted_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.accepted_id',
                "placeholder" => 'request::request.placeholder.accepted_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'accepted_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'request::request.label.accepted_at',
                "placeholder" => 'request::request.placeholder.accepted_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'hr_approved_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'request::request.label.hr_approved_at',
                "placeholder" => 'request::request.placeholder.hr_approved_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'return_to',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'request::request.label.return_to',
                "placeholder" => 'request::request.placeholder.return_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'salary',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.salary',
                "placeholder" => 'request::request.placeholder.salary',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'add_commission',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'request::request.label.add_commission',
                "placeholder" => 'request::request.placeholder.add_commission',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'traveling_to',
                "element" => 'text',
                "type" => 'text',
                "label" => 'request::request.label.traveling_to',
                "placeholder" => 'request::request.placeholder.traveling_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'request/request/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'request/request/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'request/request',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'request/request',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'request/request',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'request/request',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'request::request.label.created_at',
            'name' => 'request::request.label.name',
            'status' => 'request::request.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "request::request.groups.main",
                'group' => "main.main",
                'title' => "request::request.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "request::request.groups.details",
                'group' => "main.details",
                'title' => "request::request.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "request::request.groups.images",
                'group' => "main.images",
                'title' => "request::request.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "request::request.groups.settings",
                'group' => "main.settings",
                'title' => "request::request.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Request',
            'module' => 'Request',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Request\Models\Request::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'request::request.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['request.request.copy', 'request.request.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'request::request.label.count',
                        "placeholder" => 'request::request.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'request::request.label.comment',
                        "placeholder" => 'request::request.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'request::request.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'request::request.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
