<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoRequestRequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_request_requests
         */
        Schema::create('bixo_request_requests', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('employee_id')->nullable();
            $table->integer('handover_to')->nullable();
            $table->integer('handover_approved_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('accounts_id')->nullable();
            $table->string('mobile', 60)->nullable();
            $table->string('email', 100)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('title')->nullable();
            $table->date('date_from')->nullable();
            $table->date('date_to')->nullable();
            $table->float('period')->nullable();
            $table->enum('document_type', ['Yes', 'No'])->nullable();
            $table->string('addresee', 200)->nullable();
            $table->enum('leave_type', ['Yes', 'No'])->nullable();
            $table->tinyInteger('leave_paid')->nullable();
            $table->tinyInteger('leave_half_day')->nullable();
            $table->integer('paid')->nullable();
            $table->integer('unpaid')->nullable();
            $table->text('description')->nullable();
            $table->text('notes')->nullable();
            $table->decimal('amount', 10,2)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('approved_id')->nullable();
            $table->dateTime('approved_at')->nullable();
            $table->integer('rejected_id')->nullable();
            $table->dateTime('rejected_at')->nullable();
            $table->integer('manager_id')->nullable();
            $table->enum('manager_status', ['Yes', 'No'])->nullable();
            $table->integer('hr_id')->nullable();
            $table->enum('hr_status', ['Yes', 'No'])->nullable();
            $table->string('rejected_reason', 200)->nullable();
            $table->text('rejected_description')->nullable();
            $table->integer('accepted_id')->nullable();
            $table->dateTime('accepted_at')->nullable();
            $table->dateTime('hr_approved_at')->nullable();
            $table->date('return_to')->nullable();
            $table->integer('salary')->nullable();
            $table->tinyInteger('add_commission')->nullable();
            $table->string('traveling_to', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_request_requests');
    }
}
