<?php

namespace Bixo\Request\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class RequestTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_request_requests')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.request.request.view',
                'name'      => 'View Request',
            ],
            [
                'slug'      => 'bixo.request.request.create',
                'name'      => 'Create Request',
            ],
            [
                'slug'      => 'bixo.request.request.edit',
                'name'      => 'Update Request',
            ],
            [
                'slug'      => 'bixo.request.request.delete',
                'name'      => 'Delete Request',
            ],
            
                        [
                'slug'      => 'bixo.request.request.verify',
                'name'      => 'Verify Request',
            ],
            [
                'slug'      => 'bixo.request.request.approve',
                'name'      => 'Approve Request',
            ],
            [
                'slug'      => 'bixo.request.request.publish',
                'name'      => 'Publish Request',
            ],
            [
                'slug'      => 'bixo.request.request.unpublish',
                'name'      => 'Unpublish Request',
            ],
            [
                'slug'      => 'bixo.request.request.cancel',
                'name'      => 'Cancel Request',
            ],
            [
                'slug'      => 'bixo.request.request.archive',
                'name'      => 'Archive Request',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/request/request',
                'name'        => 'Request',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/request/request',
                'name'        => 'Request',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'request',
                'name'        => 'Request',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Request',
                'module'    => 'Request',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.request.request.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
