<?php

namespace Bixo\Request\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Request\Actions\RequestReport;
use Bixo\Request\Http\Requests\RequestReportRequest;

/**
 * Admin web controller class.
 */
class RequestReportController extends BaseController
{
    /**
     * Action controller function for request.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(RequestReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Request::class);
            $data = RequestReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('request::request.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('request/request/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('request/request/' . $report))
                ->redirect();
        }
    }
}
