<?php
namespace Bixo\Request\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Request\Events\RequestAction as RequestActionEvent;
use Bixo\Request\Models\Request;

class RequestAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $request;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param RequestActionEvent $request
     */
    public function __construct(RequestActionEvent $request)
    {
        $this->action = $event->action;
        $this->request = $request;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Request Approved - ' . config('app.name'))
            ->view('request::request.email.action', ['data' => $this->request]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
