<?php

namespace Bixo\Request\Policies;

use Bixo\Request\Models\Request;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait RequestAction
{

    /**
     * Determine if the given user can copy the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Request $request)
    {

        if ($authUser->canDo('request.request.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Request $request) {

        if ($authUser->canDo('request.request.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Request $request)
    {

        if ($authUser->canDo('request.request.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
