<?php


namespace Bixo\Request\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait RequestReport
{

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('request.request.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('request.request.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('request.request.report.download')) {
            return true;
        }

        return false;
    }
}
