<?php

namespace Bixo\Request\Policies;

use Bixo\Request\Models\Request;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait RequestWorkflow
{

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Request $request)
    {
        if ($user->canDo('request.request.reject')) {
            return true;
        }

        return false;
    }

}
